[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.HintFont

The font used to display Hints.

## Declaration

Source position: forms.pp line 1293

`public property TScreen.HintFont : TFont read GetHintFont write SetHintFont;`

## Description

HintFont is a TFont property with the font used to display hint text for forms and controls. Reading the property value causes the InitStockFont method in the widgetset class to be called. If the hint font is not initialized in the widgetset class, default font attributes are assigned to the font instance using the color in clInfoText.

The value in HintFont is used to set the default font for THintWindow instances, It can be used in controls which display their own custom hint windows and hint text should be displayed in the default font for the platform.